#include "Pico-SIM868-Test.h"

int at_test()
{
    DEV_Module_Init();
    led_blink();
    DEV_Delay_ms(5000);
    check_start();
    check_network();
    return true;
}

int BT_test()
{
    DEV_Module_Init();
    led_blink();
    DEV_Delay_ms(5000);
    check_start();
    bluetooth_scan();
    return true;
}

int GPS_test()
{
    DEV_Module_Init();
    led_blink();
    DEV_Delay_ms(5000);
    check_start();
    while (1)
    {
        get_gps_info();
    }
     
    return true;
}
int HTTP_test()
{
    DEV_Module_Init();
    led_blink();
    DEV_Delay_ms(5000);
    check_start();
    check_network();
    bearer_config();
    while (1)
    {
        http_get();
        http_post();
    }
    return true;
}

int phone_call_test()
{
    DEV_Module_Init();
    led_blink();
    DEV_Delay_ms(5000);
    check_start();
    check_network();
    phone_call("10086" , 15);
    return true;
}

int SMS_test(){
    char sms_info[] = "Hello, I'm Pico-SIM868!";
    DEV_Module_Init();
    led_blink();
    DEV_Delay_ms(5000);
    check_start();
    check_network();
    phone_call("10086" , 15);
    SMS("10086", sms_info);
    return true;

}
